package com.tuoheng.common.core.common;

import lombok.Data;

/**
 * 查询对象基类
 */
@Data
public class BaseQuery {
    /**
     * 页码(默认1)
     */
    private Integer page = 1;

    /**
     * 每页数(默认：20)
     */
    private Integer limit = 20;

    /**
     * 不传参的时候默认1,10
     */
    public void checkParam() {
        if (this.page == null || this.page < 0) {
            setPage(1);
        }
        if (this.limit == null || this.limit < 0 || this.limit > 100) {
            setLimit(10);
        }
    }
}
